#app {
  padding: 10px;
}

/*****************/
/* parameters and forms (mostly TODO)
/*****************/

.parameter {
  padding-left: 10px;
  padding-right: 10px;
  white-space: nowrap !important; /* boostrap .text-nowrap */
}

.plabel {
  padding-right: 5px;
  font-weight: bold;
}

/*****************/
/* modal popovers*/
/*****************/

.modal-header {
    background-color: #a7a8aa;
    color: white;
    font-weight: bold;
    padding: 5px;
}

.modal-header.panel-heading {
  border-top-left-radius: inherit;
  border-top-right-radius: inherit;
}

.modal-wrapper {
  display: flex;
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  z-index: 1040
}

.modal-backdrop {
  position: fixed;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.6;
  z-index: 1;
  -webkit-animation: fade-in 0.2s; /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fade-in 0.2s; /* Firefox < 16 */
  -ms-animation: fade-in 0.2s; /* Internet Explorer */
  -o-animation: fade-in 0.2s; /* Opera < 12.1 */
  animation: fade-in 0.2s;
}

.modal-child {
  width: 75%;
  background: white;
  margin: auto;
  margin-top: 30px;
  z-index: 2;
  -webkit-animation: fade-in-child 0.2s;
  -moz-animation: fade-in-child 0.2s;
  -ms-animation: fade-in-child 0.2s;
  -o-animation: fade-in-child 0.2s;
  animation: fade-in-child 0.2s;
}
.modal-button {
    margin-left: 5px;         
    margin-righ; 5px;
}

.modal-button-on {
    background-color: orangered;    
    color: white;
}

tr {
  vertical-align: middle;
}

/* Forms */

.wform {
  padding: 10px;
}

.wform > .row {
  padding-bottom: 5px;
  padding-top: 5px;
  align-items: center;
}
.wform > .row:nth-child(2n) {
  background-color: #f2f2f2;
}

.wform .col-form-label {
  font-weight: bold;
  text-align: right;
}
.wform .form-field-doc {
  font-size: 0.8em;
  color: #666;
  
}

/* All from draggable https://github.com/react-grid-layout/react-draggable/blob/master/example/index.html#L60 */

.react-draggable, .cursor {
  cursor: move;
  display: block;
}
.no-cursor {
  cursor: auto;
}
.cursor-y {
  cursor: ns-resize;
}
.cursor-x {
  cursor: ew-resize;
}

.box {
  background: #fff;
  border: 1px solid #999;
  border-radius: 3px;
  width: 180px;
  height: 180px;
  margin: 10px;
  padding: 10px;
  float: left;
}
.no-pointer-events {
  pointer-events: none;
}
.hovered {
  background-color: gray;
}

